import { FilteredResponse } from "../../src/types/sdkResponse";
/**
 * @function getAll
 * @param {string} baseUrl
 * @param {Record<string, string>} headers
 * @returns {FilteredResponse}
 */
export declare function getAll(baseUrl: string, headers: Record<string, string>): FilteredResponse;
/**
 * @function get
 * @param {string} baseUrl
 * @param {Record<string, string>} headers
 * @param {string} ruleId
 * @returns {FilteredResponse}
 */
export declare function get(baseUrl: string, headers: Record<string, string>, ruleId: string): FilteredResponse;
/**
 * @function create
 * @param {string} baseUrl
 * @param {Record<string, string>} headers
 * @param {object} properties
 * @returns {FilteredResponse}
 */
export declare function create(baseUrl: string, headers: Record<string, string>, properties: object): FilteredResponse;
