export interface response { // object structure for API call response
    method: string;
    url: string;
    body?: object;
    successStatus: number
}

export interface sdkResponse { // object structure from unomi-sdk-node for API call response 
    statusCode?: number;
    responseData?: object;
    errorMessage?: string;
    errors?: Array<object>;
    exception?: string | null;
    response?: object | response;
}

// export interface sdkCall {
//     sdkResponse?: sdkResponse;
//     error?: string;
// }

export type FilteredResponse = Promise<sdkResponse>; // type that each API call function returns