import { callResponse } from "../utils/connection";
import { getComparisonOperators } from "../utils/helpers";
import { FilteredResponse } from "../../src/types/sdkResponse";

/**
 * @function getAll
 * @returns {FilteredResponse}
 */
export function getAll(): FilteredResponse { // get an array of all comparison opertators
    const url = ""; // this function has no url (custom function)

    const body = getComparisonOperators(); // get comparison operators

    return callResponse("GET", url, body, 200); // return result object
}